// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: wireguard_types.proto

package facility

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type WgPeerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Enclaveid string        `protobuf:"bytes,1,opt,name=enclaveid,proto3" json:"enclaveid,omitempty"`
	Peer      *WgPeerConfig `protobuf:"bytes,2,opt,name=peer,proto3" json:"peer,omitempty"`
}

func (x *WgPeerRequest) Reset() {
	*x = WgPeerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wireguard_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WgPeerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WgPeerRequest) ProtoMessage() {}

func (x *WgPeerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_wireguard_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WgPeerRequest.ProtoReflect.Descriptor instead.
func (*WgPeerRequest) Descriptor() ([]byte, []int) {
	return file_wireguard_types_proto_rawDescGZIP(), []int{0}
}

func (x *WgPeerRequest) GetEnclaveid() string {
	if x != nil {
		return x.Enclaveid
	}
	return ""
}

func (x *WgPeerRequest) GetPeer() *WgPeerConfig {
	if x != nil {
		return x.Peer
	}
	return nil
}

type WgPeerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ok bool `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
}

func (x *WgPeerResponse) Reset() {
	*x = WgPeerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wireguard_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WgPeerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WgPeerResponse) ProtoMessage() {}

func (x *WgPeerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_wireguard_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WgPeerResponse.ProtoReflect.Descriptor instead.
func (*WgPeerResponse) Descriptor() ([]byte, []int) {
	return file_wireguard_types_proto_rawDescGZIP(), []int{1}
}

func (x *WgPeerResponse) GetOk() bool {
	if x != nil {
		return x.Ok
	}
	return false
}

type WgPeerConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key        string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Allowedips string `protobuf:"bytes,2,opt,name=allowedips,proto3" json:"allowedips,omitempty"`
	Endpoint   string `protobuf:"bytes,3,opt,name=endpoint,proto3" json:"endpoint,omitempty"`
}

func (x *WgPeerConfig) Reset() {
	*x = WgPeerConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wireguard_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WgPeerConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WgPeerConfig) ProtoMessage() {}

func (x *WgPeerConfig) ProtoReflect() protoreflect.Message {
	mi := &file_wireguard_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WgPeerConfig.ProtoReflect.Descriptor instead.
func (*WgPeerConfig) Descriptor() ([]byte, []int) {
	return file_wireguard_types_proto_rawDescGZIP(), []int{2}
}

func (x *WgPeerConfig) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *WgPeerConfig) GetAllowedips() string {
	if x != nil {
		return x.Allowedips
	}
	return ""
}

func (x *WgPeerConfig) GetEndpoint() string {
	if x != nil {
		return x.Endpoint
	}
	return ""
}

var File_wireguard_types_proto protoreflect.FileDescriptor

var file_wireguard_types_proto_rawDesc = []byte{
	0x0a, 0x15, 0x77, 0x69, 0x72, 0x65, 0x67, 0x75, 0x61, 0x72, 0x64, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x22, 0x59, 0x0a, 0x0d, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x65, 0x6e, 0x63, 0x6c, 0x61, 0x76, 0x65, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x65, 0x6e, 0x63, 0x6c, 0x61, 0x76, 0x65, 0x69, 0x64,
	0x12, 0x2a, 0x0a, 0x04, 0x70, 0x65, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x04, 0x70, 0x65, 0x65, 0x72, 0x22, 0x20, 0x0a, 0x0e,
	0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x6f, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x02, 0x6f, 0x6b, 0x22, 0x5c,
	0x0a, 0x0c, 0x57, 0x67, 0x50, 0x65, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x10,
	0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79,
	0x12, 0x1e, 0x0a, 0x0a, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x69, 0x70, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x69, 0x70, 0x73,
	0x12, 0x1a, 0x0a, 0x08, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x42, 0x2a, 0x5a, 0x28,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65,
	0x74, 0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69, 0x3b,
	0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_wireguard_types_proto_rawDescOnce sync.Once
	file_wireguard_types_proto_rawDescData = file_wireguard_types_proto_rawDesc
)

func file_wireguard_types_proto_rawDescGZIP() []byte {
	file_wireguard_types_proto_rawDescOnce.Do(func() {
		file_wireguard_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_wireguard_types_proto_rawDescData)
	})
	return file_wireguard_types_proto_rawDescData
}

var file_wireguard_types_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_wireguard_types_proto_goTypes = []interface{}{
	(*WgPeerRequest)(nil),  // 0: facility.WgPeerRequest
	(*WgPeerResponse)(nil), // 1: facility.WgPeerResponse
	(*WgPeerConfig)(nil),   // 2: facility.WgPeerConfig
}
var file_wireguard_types_proto_depIdxs = []int32{
	2, // 0: facility.WgPeerRequest.peer:type_name -> facility.WgPeerConfig
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_wireguard_types_proto_init() }
func file_wireguard_types_proto_init() {
	if File_wireguard_types_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_wireguard_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WgPeerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wireguard_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WgPeerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wireguard_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WgPeerConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_wireguard_types_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_wireguard_types_proto_goTypes,
		DependencyIndexes: file_wireguard_types_proto_depIdxs,
		MessageInfos:      file_wireguard_types_proto_msgTypes,
	}.Build()
	File_wireguard_types_proto = out.File
	file_wireguard_types_proto_rawDesc = nil
	file_wireguard_types_proto_goTypes = nil
	file_wireguard_types_proto_depIdxs = nil
}
